import React from 'react';

/**
 * 动态css
 * @example
 * const { cssName, StyleLink } = useCss({});
 * @param obj
 * @param deps
 * @returns
 */
declare function useCss<T>(obj: {
    [P in keyof T]: React.CSSProperties;
}, ...deps: any[]): {
    cssName: { [P_1 in keyof { [P in keyof T]: React.CSSProperties; }]: string; };
    cssText: string;
    StyleLink: () => JSX.Element;
};

export { useCss };
