# @trans.js/use-css-stylesheet

## 示例
```tsx
import React from 'react';
import cls from 'classnames';
import { useCss } from '../src';

const useTpsUI = () => {
    const { StyleLink, cssName } = useCss({
        'flex': {
            display: 'flex',
        },
        'align-center': {
            alignItems: 'center',
        },
        'justify-center': {
            justifyContent: 'center',
        }
    });

    return {
        TpsUIStyle: StyleLink,
        tpsClsName: cssName
    }
}

const demo = () => {
    const { tpsClsName } = useTpsUI();

    return (
        <>
            <div className={cls(tpsClsName.flex, tpsClsName['justify-center'])}></div>
        </>
    )
}

```

## 安装
```shell
pnpm i @trans.js/use-css-stylesheet
# 或者
yarn add @trans.js/use-css-stylesheet
```



